package com.bytedance.android.livesdk.comp.api.game.dummy;

import X.1hK;
import X.C3905Gzq;
import X.GFH;
import X.GM8;
import X.GM9;
import X.GP5;
import X.M12;
import android.content.Context;
import android.os.Bundle;
import com.bytedance.android.livesdk.LiveDialogFragment;
import com.bytedance.android.livesdk.comp.api.game.service.IGameService;
import com.bytedance.android.livesdk.game.model.GameLiveFragment;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;
import com.bytedance.ies.sdk.widgets.LiveWidget;

public class GameServiceDummy implements IGameService {
    static {
        Covode.recordClassIndex(14775);
    }

    public void cacheSaveToDraftFragmentId(String str) {
        M12.LIZ(str);
    }

    public LiveWidget createGameAutoCoverMarkWidget() {
        return null;
    }

    public LiveWidget createGameAutoCoverWidget(String str) {
        M12.LIZ(str);
        return null;
    }

    public C3905Gzq createGameBroadcastFragment(GP5 gp5, Bundle bundle) {
        return null;
    }

    public LiveRecyclableWidget createGameLiveBroadcastPreviewAutoSpeedDetectorWidget() {
        return null;
    }

    public LiveRecyclableWidget createGameLiveNewBroadcastEducationDialogWidget() {
        return null;
    }

    public C3905Gzq createMirrorCastFragment(Bundle bundle) {
        return null;
    }

    public LiveWidget createPreviewHighLightVideoWidget() {
        return null;
    }

    public LiveWidget createPreviewNewGameBroadcastEducationWidget() {
        return null;
    }

    public LiveDialogFragment createSpeedDetectionDialog() {
        return null;
    }

    public void downloadVideoAndJumpShortVideoEditPage(Context context, String str, String str2, String str3, String str4) {
        M12.LIZ(context, str2, str3, str4);
    }

    public void onInit() {
    }

    public void saveToDraft(1hK r1, GameLiveFragment gameLiveFragment) {
        M12.LIZ(gameLiveFragment);
    }

    public void updateMaskAgeRestrictedSaveSelected(boolean z) {
    }

    public void updateMaskAgeRestrictedTypeSelected(int i) {
    }

    public void updateMaskContentDisturbingSaveSelected(boolean z) {
    }

    public void updateMaskContentDisturbingTypeSelected(int i) {
    }

    public GM9 getLiveGameConfig() {
        return new GM9();
    }

    public GFH mirrorCast() {
        return new GM8();
    }
}
